/*********************************************************

 Tabulka tvaru znaku pro AVR Butterfly

 http://service.felk.cvut.cz/courses/X36SKD/
 
*********************************************************/

/*
 znaky ASCII tabulky od kodu 42 (*) do kodu 95 (_)

      A           platna je vzdy spodni polovina bitu
   -------        prvni bajt:  0 0 0 0 K 0 0 A
  |\  |  /|       druhy bajt:  0 0 0 0 J F H B
 F| H J K |B      treti bajt:  0 0 0 0 L E G C
  |  \|/  |       ctvrty bajt: 0 0 0 0 M P N D
   -------
  |  /|\  |
 E| P N M |C
  |/  |  \|
   -------
      D
 */

unsigned char znaky[][4] = {
  {0x08, 0x0A, 0x0A, 0x0E}, /*  * */  
  {0x00, 0x08, 0x0A, 0x02},	/*  + */
  {0x00, 0x00, 0x00, 0x00},	/*  , (nedefinovano) */
  {0x00, 0x00, 0x0A, 0x00},	/*  - */
  {0x01, 0x05, 0x0A, 0x00},	/*  . */
  {0x08, 0x00, 0x00, 0x04},	/*  / */
  {0x09, 0x05, 0x05, 0x05},	/*  0 */
  {0x08, 0x01, 0x01, 0x00},	/*  1 */
  {0x01, 0x01, 0x0E, 0x01},	/*  2 */
  {0x01, 0x01, 0x0B, 0x01},	/*  3 */
  {0x00, 0x05, 0x0B, 0x00},	/*  4 */
  {0x01, 0x04, 0x0B, 0x01},	/*  5 */
  {0x01, 0x04, 0x0F, 0x01},	/*  6 */
  {0x01, 0x01, 0x01, 0x00},	/*  7 */
  {0x01, 0x05, 0x0F, 0x01},	/*  8 */
  {0x01, 0x05, 0x0B, 0x01},	/*  9 */
  {0x00, 0x00, 0x00, 0x00},	/*  : (nedefinovano) */
  {0x00, 0x00, 0x00, 0x00},	/*  ; (nedefinovano) */
  {0x08, 0x00, 0x00, 0x08},	/*  < */
  {0x00, 0x00, 0x0A, 0x01},	/*  = */
  {0x00, 0x02, 0x00, 0x04},	/*  > */
  {0x00, 0x00, 0x00, 0x00},	/*  ? (nedefinovano) */
  {0x00, 0x00, 0x00, 0x00},	/*  @ (nedefinovano) */
  {0x01, 0x05, 0x0F, 0x00},	/*  A */
  {0x01, 0x09, 0x09, 0x03},	/*  B */
  {0x01, 0x04, 0x04, 0x01},	/*  C */
  {0x01, 0x09, 0x01, 0x03},	/*  D */
  {0x01, 0x04, 0x0E, 0x01},	/*  E */
  {0x01, 0x04, 0x0E, 0x00},	/*  F */
  {0x01, 0x04, 0x0D, 0x01},	/*  G */
  {0x00, 0x05, 0x0F, 0x00},	/*  H */
  {0x00, 0x08, 0x00, 0x02},	/*  I */
  {0x00, 0x01, 0x05, 0x01},	/*  J */
  {0x08, 0x04, 0x06, 0x08},	/*  K */
  {0x00, 0x04, 0x04, 0x01},	/*  L */
  {0x08, 0x07, 0x05, 0x00},	/*  M */
  {0x00, 0x07, 0x05, 0x08},	/*  N */
  {0x01, 0x05, 0x05, 0x01},	/*  O */
  {0x01, 0x05, 0x0E, 0x00},	/*  P */
  {0x01, 0x05, 0x05, 0x09},	/*  Q */
  {0x01, 0x05, 0x0E, 0x08},	/*  R */
  {0x01, 0x02, 0x00, 0x09},	/*  S */
  {0x01, 0x08, 0x00, 0x02},	/*  T */
  {0x00, 0x05, 0x05, 0x01},	/*  U */
  {0x08, 0x04, 0x04, 0x04},	/*  V */
  {0x00, 0x05, 0x05, 0x0C},	/*  W */
  {0x08, 0x02, 0x00, 0x0C},	/*  X */
  {0x08, 0x02, 0x00, 0x02},	/*  Y */
  {0x09, 0x00, 0x00, 0x05},	/*  Z */
  {0x01, 0x04, 0x04, 0x01},	/*  [ */
  {0x00, 0x02, 0x00, 0x08},	/*  \ */
  {0x01, 0x01, 0x01, 0x01},	/*  ] */
  {0x00, 0x00, 0x00, 0x00},	/*  ^ (nedefinovano) */
  {0x00, 0x00, 0x00, 0x01},	/*  _ */
  {0x09, 0x0F, 0x0F, 0x0F}	/*  vse */
};
